Opened 15 years ago

Closed 14 years ago

#6256 closed defect (fixed)

BUG: vim-6.x +ruby fails to build

Reported by: ross@… Owned by: mij@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: yeled@…, markd@…
Port:

Description

(10.4.3, latest Darwinports, sync'ed, iBook G4)

~ > sudo port clean vim ---> Cleaning vim ~ > sudo port install vim +ruby ---> Fetching vim ---> Verifying checksum(s) for vim ---> Extracting vim ---> Applying patches to vim ---> Configuring vim ---> Building vim with target all Error: Target com.apple.build returned: shell command "cd "/opt/local/var/db/dpo rts/build/_opt_local_var_db_dports_sources_rsync.rsync.darwinports.org_dpupdate_ dports_editors_vim/work/vim63"

&& make all" returned error 2 Command output: gcc -c -I. -Iproto -DHAVE_CONFIG_H -DMACOS_X_UNIX -I/Developer /Headers/FlatCarbon -no-cpp-precomp -g -O2 -I/opt/local/lib/ruby/1.8/power pc-darwin8.3.0 -o objects/tag.o tag.c gcc -c -I. -Iproto -DHAVE_CONFIG_H -DMACOS_X_UNIX -I/Developer/Headers/FlatCar bon -no-cpp-precomp -g -O2 -I/opt/local/lib/ruby/1.8/powerpc-darwin8.3.0 -o objects/term.o term.c gcc -c -I. -Iproto -DHAVE_CONFIG_H -DMACOS_X_UNIX -I/Developer/Headers/FlatCar bon -no-cpp-precomp -g -O2 -I/opt/local/lib/ruby/1.8/powerpc-darwin8.3.0 -o objects/ui.o ui.c gcc -c -I. -Iproto -DHAVE_CONFIG_H -DMACOS_X_UNIX -I/Developer/Headers/FlatCar bon -no-cpp-precomp -g -O2 -I/opt/local/lib/ruby/1.8/powerpc-darwin8.3.0 -o objects/undo.o undo.c gcc -c -I. -Iproto -DHAVE_CONFIG_H -DMACOS_X_UNIX -I/Developer/Headers/FlatCar bon -no-cpp-precomp -g -O2 -I/opt/local/lib/ruby/1.8/powerpc-darwin8.3.0 -o objects/window.o window.c gcc -c -I. -Iproto -DHAVE_CONFIG_H -DMACOS_X_UNIX -I/Developer/Headers/FlatCar bon -no-cpp-precomp -g -O2 -I/opt/local/lib/ruby/1.8/powerpc-darwin8.3.0 -o objects/if_ruby.o if_ruby.c In file included from os_unix.h:511,

from vim.h:195, from if_ruby.c:61:

/Developer/Headers/FlatCarbon/strings.h:1:2: warning: #warning Strings.h is not available on Mac OS X In file included from /System/Library/Frameworks/CoreServices.framework/Framewor ks/OSServices.framework/Headers/OSServices.h:45,

from

/System/Library/Frameworks/CoreServices.framework/Headers/ CoreServices.h:25,

from

/System/Library/Frameworks/ApplicationServices.framework/H eaders/ApplicationServices.h:20,

from /Developer/Headers/FlatCarbon/Quickdraw.h:1, from os_mac.h:22, from vim.h:249, from if_ruby.c:61:

/System/Library/Frameworks/CoreServices.framework/Frameworks/OSServices.framewor k/Headers/OpenTransport.h:723:

error: parse error before numeric constant if_ruby.c: In function 'ex_ruby': if_ruby.c:328: warning: pointer targets in assignment differ in signedness if_ruby.c: In function 'ex_rubydo': if_ruby.c:353: warning: pointer targets in passing argument 1 of 'rb_str_new2' d iffer in signedness if_ruby.c: In function 'vim_evaluate': if_ruby.c:524: warning: pointer targets in passing argument 1 of 'rb_str_new2' d iffer in signedness if_ruby.c: In function 'buffer_name': if_ruby.c:586: warning: pointer targets in passing argument 1 of 'rb_str_new2' d iffer in signedness if_ruby.c: In function 'buffer_aref': if_ruby.c:609: warning: pointer targets in initialization differ in signedness make[1]: * [objects/if_ruby.o] Error 1 make: * [all] Error 2

Error: /opt/local/bin/port: Status 1 encountered during processing.

Change History (9)

comment:1 Changed 15 years ago by blb@…

Owner: changed from darwinports-bugs@… to mij@…

Assign to maintainer.

comment:2 Changed 15 years ago by yeled@…

Cc: yeled@… added

comment:3 Changed 15 years ago by mww@…

Summary: vim +ruby fails to buildBUG: vim +ruby fails to build

comment:4 Changed 15 years ago by markd@…

Cc: markd@… added

Same error occurs with updated vim port 6.4.8.

comment:5 Changed 14 years ago by xmlblog@…

Downloading Vim7.0 from source and executing the following yields the same error:

./configure --with-mac-arch=ppc --disable-gui --enable-rubyinterp --with-features=huge

make

comment:6 Changed 14 years ago by markd@…

Summary: BUG: vim +ruby fails to buildBUG: vim-6.x +ruby fails to build

I just installed the current vim port (7.0.66) on PPC/Xcode 2.4 using the ruby variant. I couldn't do that with the 6.x version so some something got fixored in the update or dependencies. Please try it again.

comment:7 Changed 14 years ago by markd@…

Resolution: fixed
Status: newclosed

The vim update seems to have taken care of this.

comment:8 Changed 14 years ago by kballard (Lily Ballard)

Resolution: fixed
Status: closedreopened

This bug is still alive and kicking with the latest vim

comment:9 Changed 14 years ago by kballard (Lily Ballard)

Resolution: fixed
Status: reopenedclosed

Fixed in [20972]

Note: See TracTickets for help on using tickets.